Subject: Re: bug#71835: 30.0.60; Using mode-line-format-right-align in header line results in cutoff text

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Jun 2024 11:24:51 +0300

severity 71835 wishlist
thanks

> From: noa <[email-masked]>
> Date: Sat, 29 Jun 2024 03:04:08 +0100
> 
> 
> I would expect the header-line-format and mode-line-format to behave the same way when using the mode-line-format-right-align construct.  But instead, the behaviour is a little strange and appears to rely on the value of mode-line-format:

Yes, that's how this feature was implemented (and documented).

Given the trouble this feature has already caused, I'm not really
interested in having it affect more features in Emacs, so I'd prefer
in leaving things as they are.  But if someone wants to work on this
enhancement, and submits clean code to support it, we will definitely
review and consider the changes for inclusion.